- Qt 6.4
- Qt SCXML
- C++ Classes
- InvokeInfo
- Qt 6.4.3 Reference Documentation

# InvokeInfo Struct

struct QScxmlExecutableContent::InvokeInfo

The InvokeInfo class represents a service invocation. More...

Header: | #include <InvokeInfo>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Scxml) target_link_libraries(mytarget PRIVATE Qt6::Scxml)
qmake: | QT += scxml
Since: | Qt 5.8

- List of all members, including inherited members

## Public Variables

bool | autoforward
StringId | context
EvaluatorId | expr
ContainerId | finalize
StringId | id
StringId | location
StringId | prefix

## Detailed Description

## Member Variable Documentation

### bool InvokeInfo::autoforward

This variable holds whether events should automatically be forwarded to the invoked service

### StringId InvokeInfo::context

This variable holds the context to interpret the location in

### EvaluatorId InvokeInfo::expr

This variable holds the expression representing the srcexpr of the invoke element

### ContainerId InvokeInfo::finalize

This variable holds the ID of the container of executable content to be run on finalizing the invocation

### StringId InvokeInfo::id

This variable holds the ID specified by the `id` attribute in the `<invoke>` element.

### StringId InvokeInfo::location

This variable holds the data model location to write the invocation ID to

### StringId InvokeInfo::prefix

This variable holds the unique prefix for this invocation in the context of the state from which it is called